Data Structures | Files | Functions

# RPMDBI DataBase Index Element API.

## Data Structures
struct | dbiHStats_s
| Hash database statistics. More...
struct | dbiBStats_s
| B-tree database statistics. More...
## Files
file | rpmlib.h

| In Memoriam: Steve Taylor <staylor@redhat.com> was here, now he's not.
file | rpmdb.c
file | rpmdb.h

| Access RPM indices using Berkeley DB interface(s).
## Functions
static int | sql_stat (dbiIndex dbi, unsigned int flags)
| Save statistics in database handle.

## Function Documentation

static int sql_stat | ( | dbiIndex | dbi,
|  | unsigned int | flags
| ) |  | `[static]`

Save statistics in database handle.

Parameters:

  dbi | index database handle
  flags | retrieve statistics that don't require traversal?

Returns:
  0 on success

Definition at line 1503 of file sqlite.c.

References _free(), D_, _sql_db_s::db, enterChroot(), leaveChroot(), rpmlog(), RPMLOG_DEBUG, scpFree(), scpNew(), and xcalloc().